<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/forum_chairman_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/22/84  forum_chairman_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The forum_chairman_ subroutine provides entries to perform chairman
<span id="L4" class="LineNr">  4 </span>duties on Forum meetings.
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in forum_chairman_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry:  change_chairman:  02/22/84 forum_chairman_$change_chairman
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Function:  This entry is used to change the chairman of a Forum
<span id="L15" class="LineNr"> 15 </span>meeting.
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>Syntax:
<span id="L19" class="LineNr"> 19 </span>declare forum_chairman_$change_chairman entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr"> 20 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr"> 21 </span>call forum_chairman_$change_chairman <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> chairman<span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr"> 22 </span>     status<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Arguments:
<span id="L26" class="LineNr"> 26 </span>dirname
<span id="L27" class="LineNr"> 27 </span>   is the pathname of the directory containing the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr"> 28 </span>entryname
<span id="L29" class="LineNr"> 29 </span>   is the name of the meeting.  The &quot;.control&quot; suffix is required.
<span id="L30" class="LineNr"> 30 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr"> 31 </span>chairman
<span id="L32" class="LineNr"> 32 </span>   is the name of the new chairman of the meeting, in the form
<span id="L33" class="LineNr"> 33 </span>   Person.Project.  The new chairman must already be a participant.
<span id="L34" class="LineNr"> 34 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>
<span id="L37" class="LineNr"> 37 </span>status
<span id="L38" class="LineNr"> 38 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be:
<span id="L39" class="LineNr"> 39 </span>   forum_error_table_$chairman_only
<span id="L40" class="LineNr"> 40 </span>      The caller is not the current chairman.
<span id="L41" class="LineNr"> 41 </span>   forum_error_table_$no_such_user
<span id="L42" class="LineNr"> 42 </span>      The supplied new chairman is not a participant.
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>
<span id="L45" class="LineNr"> 45 </span>:Entry:  change_chairman_idx:
<span id="L46" class="LineNr"> 46 </span>02/22/84 forum_chairman_$change_chairman_idx
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>Function:  This entry changes the chairman of a Forum meeting.  It is
<span id="L50" class="LineNr"> 50 </span>the same as the change_chairman entry point except that a forum_idx is
<span id="L51" class="LineNr"> 51 </span>used to identify the meeting instead of a pathname.
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>Syntax:
<span id="L55" class="LineNr"> 55 </span>declare forum_chairman_$change_chairman_idx entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L56" class="LineNr"> 56 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L57" class="LineNr"> 57 </span>call forum_chairman_$change_chairman_idx <span class="textRainbow_lv0_p0">(</span>forum_idx<span class="textRainbow_lv0_o0">,</span> chairman<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>Arguments:
<span id="L61" class="LineNr"> 61 </span>forum_idx
<span id="L62" class="LineNr"> 62 </span>   identifies a meeting opened by forum_$open_forum.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L63" class="LineNr"> 63 </span>chairman
<span id="L64" class="LineNr"> 64 </span>   is the name of the new chairman of the meeting, in the form
<span id="L65" class="LineNr"> 65 </span>   Person.Project.  The new chairman must already be a participant.
<span id="L66" class="LineNr"> 66 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L67" class="LineNr"> 67 </span>status
<span id="L68" class="LineNr"> 68 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be:
<span id="L69" class="LineNr"> 69 </span>   forum_error_table_$chairman_only
<span id="L70" class="LineNr"> 70 </span>      The caller is not the current chairman.
<span id="L71" class="LineNr"> 71 </span>   forum_error_table_$no_such_user
<span id="L72" class="LineNr"> 72 </span>      The supplied new chairman is not a participant.
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>:Entry:  chname_forum:  02/22/84 forum_chairman_$chname_forum
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>Function:  This entry is used to change the names of Forum meetings.
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>Syntax:
<span id="L82" class="LineNr"> 82 </span>declare forum_chairman_$chname_forum entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L83" class="LineNr"> 83 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L84" class="LineNr"> 84 </span>call forum_chairman_$chname_forum <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> old_name<span class="textRainbow_lv0_o0">,</span>
<span id="L85" class="LineNr"> 85 </span>     new_name<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L86" class="LineNr"> 86 </span>
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>Arguments:
<span id="L89" class="LineNr"> 89 </span>dirname
<span id="L90" class="LineNr"> 90 </span>   is the pathname of the directory containing the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L91" class="LineNr"> 91 </span>entryname
<span id="L92" class="LineNr"> 92 </span>   is the name of the meeting.  The &quot;.control&quot; suffix is required.
<span id="L93" class="LineNr"> 93 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L94" class="LineNr"> 94 </span>old_name
<span id="L95" class="LineNr"> 95 </span>   is a name to be removed from the meeting, or blank if no name is to
<span id="L96" class="LineNr"> 96 </span>   be removed.  If non-blank, the &quot;.control&quot; suffix is required.
<span id="L97" class="LineNr"> 97 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L98" class="LineNr"> 98 </span>new_name
<span id="L99" class="LineNr"> 99 </span>   is a name to be added to the meeting, or blank if no name is to be
<span id="L100" class="LineNr">100 </span>   added.  If non-blank, the &quot;.control&quot; suffix is required.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L101" class="LineNr">101 </span>status
<span id="L102" class="LineNr">102 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>:Entry:  chname_forum_idx:  02/22/84 forum_chairman_$chname_forum_idx
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>Function:  This entry is used to change the names of Forum meetings.
<span id="L109" class="LineNr">109 </span>It is the same as the chname_forum entry point except that a forum_idx
<span id="L110" class="LineNr">110 </span>is used to identify the meeting instead of a pathname.
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>Syntax:
<span id="L114" class="LineNr">114 </span>declare forum_chairman_$chname_forum_idx entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L115" class="LineNr">115 </span>     char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L116" class="LineNr">116 </span>call forum_chairman_$chname_forum_idx <span class="textRainbow_lv0_p0">(</span>forum_idx<span class="textRainbow_lv0_o0">,</span> old_name<span class="textRainbow_lv0_o0">,</span> new_name<span class="textRainbow_lv0_o0">,</span>
<span id="L117" class="LineNr">117 </span>     status<span class="textRainbow_lv0_p0">)</span>;
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>Arguments:
<span id="L121" class="LineNr">121 </span>forum_idx
<span id="L122" class="LineNr">122 </span>   identifies a meeting opened by forum_$open_forum.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L123" class="LineNr">123 </span>old_name
<span id="L124" class="LineNr">124 </span>   is a name to be removed from the meeting, or blank if no name is to
<span id="L125" class="LineNr">125 </span>   be removed.  If non-blank, the &quot;.control&quot; suffix is required.
<span id="L126" class="LineNr">126 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L127" class="LineNr">127 </span>new_name
<span id="L128" class="LineNr">128 </span>   is a name to be added to the meeting, or blank if no name is to be
<span id="L129" class="LineNr">129 </span>   added.  If non-blank, the &quot;.control&quot; suffix is required.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L130" class="LineNr">130 </span>status
<span id="L131" class="LineNr">131 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L132" class="LineNr">132 </span>
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>:Entry:  create_forum:  02/22/84 forum_chairman_$create_forum
<span id="L135" class="LineNr">135 </span>
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span>Function:  Creates a Forum meeting with the user as chairman.
<span id="L138" class="LineNr">138 </span>
<span id="L139" class="LineNr">139 </span>
<span id="L140" class="LineNr">140 </span>Syntax:
<span id="L141" class="LineNr">141 </span>declare forum_chairman_$create_forum entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L142" class="LineNr">142 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L143" class="LineNr">143 </span>call forum_chairman_$create_forum <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Arguments:
<span id="L147" class="LineNr">147 </span>dirname
<span id="L148" class="LineNr">148 </span>   is the pathname of the directory containing the meeting.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L149" class="LineNr">149 </span>entryname
<span id="L150" class="LineNr">150 </span>   is the name of the meeting.  The &quot;.control&quot; suffix is required.
<span id="L151" class="LineNr">151 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L152" class="LineNr">152 </span>status
<span id="L153" class="LineNr">153 </span>   is a standard status code.
<span id="L154" class="LineNr">154 </span>
<span id="L155" class="LineNr">155 </span>
<span id="L156" class="LineNr">156 </span>Access required:
<span id="L157" class="LineNr">157 </span>The caller must have modify permission on the containing directory.
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>:Entry:  expunge:  02/22/84 forum_chairman_$expunge
<span id="L161" class="LineNr">161 </span>
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>Function:  This entry is used to physically remove deleted participant
<span id="L164" class="LineNr">164 </span>records and deleted transactions from a Forum meeting.  This results in
<span id="L165" class="LineNr">165 </span>reclaimed storage space.
<span id="L166" class="LineNr">166 </span>
<span id="L167" class="LineNr">167 </span>
<span id="L168" class="LineNr">168 </span>Syntax:
<span id="L169" class="LineNr">169 </span>declare forum_chairman_$expunge entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L170" class="LineNr">170 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L171" class="LineNr">171 </span>call forum_chairman_$expunge <span class="textRainbow_lv0_p0">(</span>forum_idx<span class="textRainbow_lv0_o0">,</span> switches<span class="textRainbow_lv0_o0">,</span> users_deleted<span class="textRainbow_lv0_o0">,</span>
<span id="L172" class="LineNr">172 </span>     trans_deleted<span class="textRainbow_lv0_o0">,</span> users_damaged<span class="textRainbow_lv0_o0">,</span> trans_damaged<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L173" class="LineNr">173 </span>
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>Arguments:
<span id="L176" class="LineNr">176 </span>forum_idx
<span id="L177" class="LineNr">177 </span>   identifies a meeting opened by forum_$open_forum.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L178" class="LineNr">178 </span>switches
<span id="L179" class="LineNr">179 </span>   is a word of switches as follows:  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L180" class="LineNr">180 </span>   transactions
<span id="L181" class="LineNr">181 </span>      if set, deleted transactions should be expunged.
<span id="L182" class="LineNr">182 </span>   users
<span id="L183" class="LineNr">183 </span>      if set, deleted participant records should be expunged.
<span id="L184" class="LineNr">184 </span>users_deleted
<span id="L185" class="LineNr">185 </span>   is the number of participant records which were expunged.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L186" class="LineNr">186 </span>trans_deleted
<span id="L187" class="LineNr">187 </span>   is the number of transactions which were expunged.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L188" class="LineNr">188 </span>
<span id="L189" class="LineNr">189 </span>
<span id="L190" class="LineNr">190 </span>users_damaged
<span id="L191" class="LineNr">191 </span>   is the number of participant records which were expunged because
<span id="L192" class="LineNr">192 </span>   they were inconsistent.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L193" class="LineNr">193 </span>trans_damaged
<span id="L194" class="LineNr">194 </span>   is the number of transactions which were expunged because they were
<span id="L195" class="LineNr">195 </span>   inconsistent.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L196" class="LineNr">196 </span>status
<span id="L197" class="LineNr">197 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L198" class="LineNr">198 </span>
<span id="L199" class="LineNr">199 </span>
<span id="L200" class="LineNr">200 </span>:Entry:  set_forum_acl:  02/22/84 forum_chairman_$set_forum_acl
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>
<span id="L203" class="LineNr">203 </span>Function:  This entry is used to add or change an ACL term on a Forum
<span id="L204" class="LineNr">204 </span>meeting.  ACL terms can only be specified for Person_id.* or
<span id="L205" class="LineNr">205 </span>*.Project_id, terms of the form Person_id.Project_id are not allowed.
<span id="L206" class="LineNr">206 </span>
<span id="L207" class="LineNr">207 </span>
<span id="L208" class="LineNr">208 </span>Syntax:
<span id="L209" class="LineNr">209 </span>declare forum_chairman_$set_forum_acl entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L210" class="LineNr">210 </span>     bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L211" class="LineNr">211 </span>call forum_chairman_$set_forum_acl <span class="textRainbow_lv0_p0">(</span>forum_idx<span class="textRainbow_lv0_o0">,</span> access_name<span class="textRainbow_lv0_o0">,</span> user_sw<span class="textRainbow_lv0_o0">,</span>
<span id="L212" class="LineNr">212 </span>     set_sw<span class="textRainbow_lv0_o0">,</span> write_sw<span class="textRainbow_lv0_o0">,</span> status<span class="textRainbow_lv0_p0">)</span>;
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>Arguments:
<span id="L216" class="LineNr">216 </span>forum_idx
<span id="L217" class="LineNr">217 </span>   identifies a meeting opened by forum_$open_forum.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L218" class="LineNr">218 </span>access_name
<span id="L219" class="LineNr">219 </span>   The Person_id or Project_id whose ACL is to be added or deleted.
<span id="L220" class="LineNr">220 </span>   Access_name can not contain a &quot;.&quot;.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L221" class="LineNr">221 </span>user_sw
<span id="L222" class="LineNr">222 </span>   This switch should be on if access_name is a Person_id, and off if
<span id="L223" class="LineNr">223 </span>   it is a Project_id.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L224" class="LineNr">224 </span>set_sw
<span id="L225" class="LineNr">225 </span>   This switch should on if access is to be added, and off if it is to
<span id="L226" class="LineNr">226 </span>   be deleted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L227" class="LineNr">227 </span>
<span id="L228" class="LineNr">228 </span>
<span id="L229" class="LineNr">229 </span>write_sw
<span id="L230" class="LineNr">230 </span>   This switch should on if write access is to be added, and off if
<span id="L231" class="LineNr">231 </span>   only read access is to be added.  This switch is ignored if set_sw
<span id="L232" class="LineNr">232 </span>   is off.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L233" class="LineNr">233 </span>status
<span id="L234" class="LineNr">234 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L235" class="LineNr">235 </span>
<span id="L236" class="LineNr">236 </span>
<span id="L237" class="LineNr">237 </span>Access required:
<span id="L238" class="LineNr">238 </span>The caller must have modify permission on the containing directory.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
